## git-annex 8.20210223

=== Makefile ===
all=git-annex git-annex-shell mans docs

# set to "./Setup" if you lack a cabal program. Or can be set to "stack"
BUILDER?=cabal
ifeq ($(BUILDER),stack)
GHC?=stack ghc --
else
GHC?=ghc
endif

PREFIX?=/usr
SHAREDIR?=share

# On Debian systems, zsh does not look here, and you will have to override
# this to /usr/share/zsh/vendor-completions
ZSH_COMPLETIONS_PATH?=$(PREFIX)/$(SHAREDIR)/zsh/site-functions

# Am I typing :make in vim? Do a dev build.
ifdef VIM
all=dev
endif

build: $(all)

# install system-wide
# Set PREFIX and DESTDIR to configure where it is installed
install: install-bins install-docs install-completions install-desktop

# installs into your home directory
install-home:
	$(MAKE) install-bins PREFIX=$(HOME)/.local
	$(MAKE) install-mans PREFIX=$(HOME)/.local
	$(MAKE) install-desktop PREFIX=$(HOME)/.local USERDIR=1

tmp/configure-stamp: Build/TestConfig.hs Build/Configure.hs
	if [ "$(BUILDER)" = ./Setup ]; then $(GHC) --make Setup; fi
	if [ "$(BUILDER)" != stack ]; then \
		$(BUILDER) configure $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
	else \
		$(BUILDER) setup $(BUILDERCOMMONOPTIONS); \
	fi
	mkdir -p tmp
	touch tmp/configure-stamp

# Non-optimised build for development, with profiling enabled (for memory
# profiling).
#
# This leaves cabal.project.local configured for a dev build,
# so just running make will continue to do dev builds.
dev:
	$(BUILDER) configure -f"-Production" -O0 \
			--enable-executable-dynamic --enable-profiling
	mkdir -p tmp
	touch tmp/configure-stamp
	$(MAKE) git-annex

git-annex: tmp/configure-stamp
	$(BUILDER) build $(BUILDERCOMMONOPTIONS) $(BUILDEROPTIONS)
	@if [ "$(BUILDER)" = stack ]; then \
		ln -sf $$(stack path $(BUILDERCOMMONOPTIONS) --dist-dir)/build/git-annex/git-annex git-annex; \
	else \
		if [ -d dist-newstyle ]; then \
			ln -sf $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
		else \
			ln -sf dist/build/git-annex/git-annex git-annex; \
		fi; \
	fi

git-annex-shell: git-annex
	ln -sf git-annex git-annex-shell

# These are not built normally.
git-union-merge.1: doc/git-union-merge.mdwn
	./Build/mdwn2man git-union-merge 1 doc/git-union-merge.mdwn > git-union-merge.1
git-union-merge:
	$(GHC) --make -threaded $@

install-mans: mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1
	install -m 0644 man/*.1 $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1

install-docs: docs install-mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex
	if [ -d html ]; then \
		rsync -a --delete html/ $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex/html/; \
	fi

install-bins: build
	install -d $(DESTDIR)$(PREFIX)/bin
	install git-annex $(DESTDIR)$(PREFIX)/bin
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex

install-desktop: build Build/InstallDesktopFile
	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true

install-completions: build
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions
	install -m 0644 bash-completion.bash $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions/git-annex
	install -d $(DESTDIR)$(ZSH_COMPLETIONS_PATH)
	./git-annex --zsh-completion-script git-annex 2>/dev/null \
		> $(DESTDIR)$(ZSH_COMPLETIONS_PATH)/_git-annex
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/vendor_completions.d
	./git-annex --fish-completion-script git-annex 2>/dev/null \
		> $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/vendor_completions.d/git-annex.fish

test: git-annex git-annex-shell
	./git-annex test

retest: git-annex
	./git-annex test --rerun-update --rerun-filter failures

# tags file for vim
tags:
	@$(MAKE) --quiet hothasktags HOTHASKTAGS_OPT= TAGFILE=tags

# TAGS file for emacs
TAGS:
	@$(MAKE) --quiet hothasktags HOTHASKTAGS_OPT=-e TAGFILE=TAGS

# https://github.com/luqui/hothasktags/issues/18
HOTHASKTAGS_ARGS=-XLambdaCase -XPackageImports --cpp

hothasktags:
	@if ! cabal exec hothasktags -- $(HOTHASKTAGS_OPT) $(HOTHASKTAGS_ARGS) \
		$$(find . | grep -v /.git/ | grep -v /tmp/ | grep -v dist/ | grep -v /doc/ | egrep '\.hs$$') 2>/dev/null \
			| sort > $(TAGFILE); then \
		echo "** hothasktags failed"; \
	fi

mans: Build/MakeMans
	./Build/MakeMans

# If ikiwiki is available, build static html docs suitable for being
# shipped in the software package.
docs: mans
	@if [ -n "`which ikiwiki`" ]; then \
		LC_ALL=C TZ=UTC ikiwiki doc html -v --wikiname git-annex \
			--plugin=goodstuff \
			--no-usedirs --disable-plugin=openid --plugin=sidebar \
			--plugin theme --set theme=actiontabs --set deterministic=1 \
			--disable-plugin=shortcut --disable-plugin=smiley \
			--plugin=comments --set comments_pagespec="*" \
			--exclude='ikiwiki/*' \
			--exclude='news/.*' --exclude='design/assistant/blog/*' \
			--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*' \
			--exclude='users/*' --exclude='devblog/*' --exclude='thanks'; \
	else \
		echo "** ikiwiki not found, skipping building docs" >&2; \
	fi

clean:
	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
	rm -rf tmp dist dist-newstyle git-annex $(mans) configure  *.tix .hpc \
		doc/.ikiwiki html dist tags TAGS Build/SysConfig Build/Version \
		Setup Build/InstallDesktopFile Build/Standalone \
		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
		git-annex-shell git-union-merge .tasty-rerun-log
	find . -name \*.o -exec rm {} \;
	find . -name \*.hi -exec rm {} \;

Build/InstallDesktopFile: Build/InstallDesktopFile.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/Standalone: Build/Standalone.hs tmp/configure-stamp
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/BuildVersion: Build/BuildVersion.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/MakeMans: Build/MakeMans.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs

LINUXSTANDALONE_DEST=tmp/git-annex.linux
linuxstandalone:
	$(MAKE) git-annex Build/Standalone
	./Build/Standalone "$(LINUXSTANDALONE_DEST)" "$(LINUXSTANDALONE_DEST)"

	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"
	zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE
	cp doc/logo_16x16.png doc/logo.svg $(LINUXSTANDALONE_DEST)
	cp standalone/trustedkeys.gpg $(LINUXSTANDALONE_DEST)

	md5sum git-annex | cut -d ' ' -f 1 > "$(LINUXSTANDALONE_DEST)/buildid"
	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz

# Run this target to build git-annex-standalone.deb
debianstandalone: dpkg-buildpackage-F
# Run this target to build git-annex-standalone.dsc
debianstandalone-dsc: dpkg-buildpackage-S

prep-standalone:
	$(MAKE) undo-standalone
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build quilt push -a
	debian/create-standalone-changelog

undo-standalone:
	test -e .git
	git checkout debian/changelog CHANGELOG
	quilt pop -a || true

commit-standalone:
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build  quilt refresh

dpkg-buildpackage%: prep-standalone
	umask 022; dpkg-buildpackage -rfakeroot $*
	$(MAKE) undo-standalone

OSXAPP_DEST=tmp/build-dmg/git-annex.app
OSXAPP_TOP=$(OSXAPP_DEST)/Contents/MacOS/bundle
osxapp:
	$(MAKE) git-annex
	# Remove all RPATHs, both because this overloads the linker on
	# OSX Sierra, and to avoid the binary looking in someone's home
	# directory.
	if otool -l git-annex | grep -q "path "; then \
		eval install_name_tool $$(otool -l git-annex | grep "path " | sed 's/.*path /-delete_rpath /' | sed 's/ (.*//') git-annex; \
	fi

	$(MAKE) Build/Standalone
	./Build/Standalone $(OSXAPP_TOP) $(OSXAPP_DEST)

	gzcat standalone/licences.gz > $(OSXAPP_TOP)/LICENSE
	cp $(OSXAPP_TOP)/LICENSE tmp/build-dmg/LICENSE.txt
	cp standalone/trustedkeys.gpg $(OSXAPP_DEST)/Contents/MacOS

	# OSX looks in man dir nearby the bin
	$(MAKE) install-mans DESTDIR="$(OSXAPP_TOP)/.." SHAREDIR="" PREFIX=""

	cd $(OSXAPP_DEST) && find . -type f > Contents/MacOS/git-annex.MANIFEST
	cd $(OSXAPP_DEST) && find . -type l >> Contents/MacOS/git-annex.MANIFEST
	rm -f tmp/git-annex.dmg

	# hdiutil sometimes fails with "resource busy", so try a few times
	ok=0; for x in 1 2 3 4 5; do \
		if [ $$ok = 0 ]; then \
			if hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
				-volname git-annex -o tmp/git-annex.dmg; \
			then \
				ok=1; \
			else \
				sleep 60; \
			fi \
		fi \
	done; if [ $$ok = 0 ]; then exit 1; fi

distributionupdate:
	git pull
	cabal configure
	ghc -Wall -fno-warn-tabs --make Build/DistributionUpdate -XLambdaCase -XPackageImports
	./Build/DistributionUpdate

.PHONY: git-annex git-union-merge tags TAGS

=== debian/changelog ===
git-annex (8.20210223-2ubuntu2) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:54:20 +0200

git-annex (8.20210223-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix debian/copyright to be a copy, not a symlink, as otherwise this is
      an auto-reject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 23:48:12 -0700

git-annex (8.20210223-2) unstable; urgency=medium

  * Apply backported patch to fix special remote import bug (Closes: #986947).
    Thanks to Joey Hess for the fix and for making me aware of the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Apr 2021 10:05:22 -0700

git-annex (8.20210223-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 28 Feb 2021 12:49:05 -0700

=== debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper-compat (= 13),
	ghc (>= 8.4.3),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-pcre-light-dev,
	libghc-cryptonite-dev (>= 0.23),
	libghc-memory-dev,
	libghc-deepseq-dev,
	libghc-attoparsec-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.20),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev (>= 2.10.0),
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-tagsoup-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev (>= 2.0.0),
	libghc-edit-distance-dev,
	libghc-hinotify-dev (>= 0.3.10) [linux-any],
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-core-dev (>= 1.6.0)    [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev (>= 2.8.1),
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev (>= 2.8.1),
	libghc-microlens-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev (>= 2.3.0),
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 1.0.0),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-optparse-applicative-dev (>= 0.14.1),
	libghc-cabal-dev,
	libghc-torrent-dev,
	libghc-concurrent-output-dev (>= 1.10),
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	libghc-vector-dev,
        libghc-unliftio-core-dev,
	libghc-filepath-bytestring-dev,
	libghc-http-client-restricted-dev,
	libghc-git-lfs-dev,
	libghc-criterion-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:2.22),
	rsync,
	curl,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	gnupg,
	gpg-agent,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Richard Hartmann <richih@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/haskell-team/git-annex.git
Vcs-Browser: https://salsa.debian.org/haskell-team/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
	git (>= 1:2.22),
	netbase,
	rsync,
	curl,
	openssh-client (>= 1:5.6p1)
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	adb,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
	youtube-dl,
Breaks: datalad (<< 0.12.3~)
Description: manage files with git, without checking their contents into git
 git-annex allows managing files with git, without checking the file
 contents into git. While that may seem paradoxical, it is useful when
 dealing with files larger than git can currently easily handle, whether due
 to limitations in memory, time, or disk space.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with a dozen cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.

## git-annex 10.20221003

=== Makefile ===
--- 
+++ 
@@ -48,21 +48,21 @@
 # This leaves cabal.project.local configured for a dev build,
 # so just running make will continue to do dev builds.
 dev:
-	$(BUILDER) configure -f"-Production" -O0 \
-			--enable-executable-dynamic --enable-profiling
+	$(BUILDER) configure -f"-Production" \
+		--enable-executable-dynamic --enable-profiling
 	mkdir -p tmp
 	touch tmp/configure-stamp
-	$(MAKE) git-annex
+	$(MAKE) git-annex tags
 
 git-annex: tmp/configure-stamp
 	$(BUILDER) build $(BUILDERCOMMONOPTIONS) $(BUILDEROPTIONS)
 	@if [ "$(BUILDER)" = stack ]; then \
-		ln -sf $$(stack path $(BUILDERCOMMONOPTIONS) --dist-dir)/build/git-annex/git-annex git-annex; \
+		ln -f $$(stack path $(BUILDERCOMMONOPTIONS) --dist-dir)/build/git-annex/git-annex git-annex; \
 	else \
 		if [ -d dist-newstyle ]; then \
-			ln -sf $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
+			ln -f $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
 		else \
-			ln -sf dist/build/git-annex/git-annex git-annex; \
+			ln -f dist/build/git-annex/git-annex git-annex; \
 		fi; \
 	fi
 
@@ -110,23 +110,8 @@
 retest: git-annex
 	./git-annex test --rerun-update --rerun-filter failures
 
-# tags file for vim
 tags:
-	@$(MAKE) --quiet hothasktags HOTHASKTAGS_OPT= TAGFILE=tags
-
-# TAGS file for emacs
-TAGS:
-	@$(MAKE) --quiet hothasktags HOTHASKTAGS_OPT=-e TAGFILE=TAGS
-
-# https://github.com/luqui/hothasktags/issues/18
-HOTHASKTAGS_ARGS=-XLambdaCase -XPackageImports --cpp
-
-hothasktags:
-	@if ! cabal exec hothasktags -- $(HOTHASKTAGS_OPT) $(HOTHASKTAGS_ARGS) \
-		$$(find . | grep -v /.git/ | grep -v /tmp/ | grep -v dist/ | grep -v /doc/ | egrep '\.hs$$') 2>/dev/null \
-			| sort > $(TAGFILE); then \
-		echo "** hothasktags failed"; \
-	fi
+	hasktags . -c || true
 
 mans: Build/MakeMans
 	./Build/MakeMans
@@ -134,7 +119,7 @@
 # If ikiwiki is available, build static html docs suitable for being
 # shipped in the software package.
 docs: mans
-	@if [ -n "`which ikiwiki`" ]; then \
+	@if command -v ikiwiki; then \
 		LC_ALL=C TZ=UTC ikiwiki doc html -v --wikiname git-annex \
 			--plugin=goodstuff \
 			--no-usedirs --disable-plugin=openid --plugin=sidebar \
@@ -152,7 +137,7 @@
 clean:
 	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
 	rm -rf tmp dist dist-newstyle git-annex $(mans) configure  *.tix .hpc \
-		doc/.ikiwiki html dist tags TAGS Build/SysConfig Build/Version \
+		doc/.ikiwiki html dist tags Build/SysConfig Build/Version \
 		Setup Build/InstallDesktopFile Build/Standalone \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
 		git-annex-shell git-union-merge .tasty-rerun-log
@@ -249,4 +234,4 @@
 	ghc -Wall -fno-warn-tabs --make Build/DistributionUpdate -XLambdaCase -XPackageImports
 	./Build/DistributionUpdate
 
-.PHONY: git-annex git-union-merge tags TAGS
+.PHONY: git-annex git-union-merge tags

=== debian/changelog ===
git-annex (10.20221003-3) unstable; urgency=medium

  * Cherry-pick upstream commits 5256be61c1 and 43f681d4c1 (Closes: #1024226).
    This includes replacing Suggests: youtube-dl with Suggests: yt-dlp.
    Thanks to Joey Hess for the patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Nov 2022 16:29:06 -0700

git-annex (10.20221003-2) unstable; urgency=medium

  * Drop obsolete build-dep on libghc-pcre-light-dev.
    Thanks to Ilias Tsitsimpis for pointing this out, on IRC.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Oct 2022 18:40:55 -0700

git-annex (10.20221003-1) unstable; urgency=medium

  * New upstream release (Closes: #1021206).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Oct 2022 20:00:50 -0700

git-annex (10.20220724-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 21 Aug 2022 15:06:39 -0700

git-annex (10.20220504-1) unstable; urgency=medium

  * New upstream release (Closes: #1010397).
  * Drop version restriction on libghc-http-conduit-dev build-dep.
  * Loosen version restriction on libghc-optparse-applicative-dev build-dep.
  * Add build-dep on libghc-ansi-terminal-dev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 May 2022 14:43:05 -0700

git-annex (8.20211123-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Nov 2021 12:38:57 -0700

git-annex (8.20211011-2) unstable; urgency=medium

  * New upstream release (Closes: #994697).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 15:09:52 -0700

git-annex (8.20210903-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 06 Sep 2021 11:32:49 -0700

git-annex (8.20210803-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to Git/Tree.hs from previous upload.
    Applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Aug 2021 13:17:20 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 	libghc-split-dev,
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
-	libghc-pcre-light-dev,
 	libghc-cryptonite-dev (>= 0.23),
 	libghc-memory-dev,
 	libghc-deepseq-dev,
@@ -55,7 +54,8 @@
 	libghc-stm-chans-dev,
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
-	libghc-http-conduit-dev (>= 2.3.0),
+	libghc-http-conduit-dev,
+	libghc-http-client-restricted-dev,
 	libghc-blaze-builder-dev,
 	libghc-crypto-api-dev,
 	libghc-network-multicast-dev,
@@ -70,8 +70,9 @@
 	libghc-tasty-hunit-dev,
 	libghc-tasty-quickcheck-dev,
 	libghc-tasty-rerun-dev,
-	libghc-optparse-applicative-dev (>= 0.14.1),
 	libghc-cabal-dev,
+	libghc-ansi-terminal-dev,
+	libghc-optparse-applicative-dev (>= 0.11.0),
 	libghc-torrent-dev,
 	libghc-concurrent-output-dev (>= 1.10),
 	libghc-disk-free-space-dev,
@@ -81,7 +82,6 @@
 	libghc-vector-dev,
         libghc-unliftio-core-dev,
 	libghc-filepath-bytestring-dev,
-	libghc-http-client-restricted-dev,
 	libghc-git-lfs-dev,
 	libghc-criterion-dev,
 	lsof [linux-any],
@@ -94,8 +94,7 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
@@ -130,17 +129,18 @@
 	tahoe-lafs,
 	libnss-mdns,
 	uftp,
-	youtube-dl,
+	yt-dlp,
 Breaks: datalad (<< 0.12.3~)
 Description: manage files with git, without checking their contents into git
- git-annex allows managing files with git, without checking the file
- contents into git. While that may seem paradoxical, it is useful when
- dealing with files larger than git can currently easily handle, whether due
- to limitations in memory, time, or disk space.
+ git-annex allows managing large files with git, without storing the file 
+ contents in git. It can sync, backup, and archive your data, offline
+ and online. Checksums and encryption keep your data safe and secure. Bring
+ the power and distributed nature of git to bear on your large files with
+ git-annex.
  .
  It can store large files in many places, from local hard drives, to a
  large number of cloud storage services, including S3, WebDAV,
- and rsync, with a dozen cloud storage providers usable via plugins.
+ and rsync, with dozens of cloud storage providers usable via plugins.
  Files can be stored encrypted with gpg, so that the cloud storage
  provider cannot see your data. git-annex keeps track of where each file
  is stored, so it knows how many copies are available, and has many

## git-annex 10.20230126

=== debian/changelog ===
git-annex (10.20230126-3ubuntu2) mantic; urgency=medium

  * d/rules: Disable LTO on ppc64el and armhf.
    (LP: #2019992)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 14 Jun 2023 23:15:11 -0400

git-annex (10.20230126-3ubuntu1) mantic; urgency=medium

  * d/rules: Strip -Wl,-Bsymbolic-functions from LDFLAGS.
    (LP: #2019992)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 13 Jun 2023 16:32:29 -0400

git-annex (10.20230126-3) unstable; urgency=medium

  * Backport fixes for data loss bug (Closes: #1033627).
    Thanks to Joey Hess for the report and patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Apr 2023 10:57:41 -0700

git-annex (10.20230126-2) unstable; urgency=medium

  * Add m68k to list of archs for webapp build-deps (Closes: #1031647).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Feb 2023 13:36:59 -0700

git-annex (10.20230126-1) unstable; urgency=medium

  * New upstream release (Closes: #1030317).
    - Drop version trstriction on libghc-cryptonite-dev build-dep.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 13 Feb 2023 11:07:12 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	libghc-split-dev,
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
-	libghc-cryptonite-dev (>= 0.23),
+	libghc-cryptonite-dev,
 	libghc-memory-dev,
 	libghc-deepseq-dev,
 	libghc-attoparsec-dev,
@@ -34,16 +34,16 @@
 	libghc-hinotify-dev (>= 0.3.10) [linux-any],
 	libghc-dbus-dev (>= 0.10.7) [linux-any],
 	libghc-fdo-notify-dev (>= 0.3) [linux-any],
-	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-core-dev (>= 1.6.0)    [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
+	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-yesod-core-dev (>= 1.6.0)    [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
 	libghc-dav-dev (>= 1.0),
 	libghc-persistent-dev (>= 2.8.1),
 	libghc-persistent-template-dev,
@@ -80,7 +80,7 @@
 	libghc-magic-dev,
 	libghc-socks-dev,
 	libghc-vector-dev,
-        libghc-unliftio-core-dev,
+	libghc-unliftio-core-dev,
 	libghc-filepath-bytestring-dev,
 	libghc-git-lfs-dev,
 	libghc-criterion-dev,
@@ -94,7 +94,8 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,

=== debian/rules ===
#!/usr/bin/make -f

export BUILDER=./Setup

# -j1 is used for reproducible build
export BUILDEROPTIONS=-j1

# Reduce optimisation on armhf and armel to avoid running out of
# memory.  Passing -O1 to ghc causes it to pass -O2 to llc.  We can't
# simply use ghc's -optlc to pass -O2 to llc, because when we don't
# pass -O1 to ghc, it will pass an -O3 to llc, overriding our -optlc
# attempt.  See definition of runPhase in
# compiler/main/DriverPipeline.hs in ghc source
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter armel,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
endif
ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
endif

STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \
                         && echo 1 || echo 0)

# Do use the changelog's version number, rather than making one up.
export RELEASE_BUILD=1

export ZSH_COMPLETIONS_PATH=/usr/share/zsh/vendor-completions

ifeq (yes, $(shell dpkg-vendor --derives-from Ubuntu && echo yes))
# See LP: #2019992
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el armhf))
export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
endif
endif

%:
	dh $@


# Standalone build logic/helpers
ifeq ($(STANDALONE_BUILD),1)

override_dh_auto_build:
	make linuxstandalone GIT_ANNEX_PACKAGE_INSTALL=1

override_dh_auto_install:
	make install-desktop install-docs install-completions \
		DESTDIR=debian/git-annex-standalone
	# bins are linked into place, as instructed in debian/install and debian/links

override_dh_fixperms:
	dh_fixperms -Xld-linux

# gdb can't do much with a haskell program, so avoid the debug package
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Do not add "ldconfig" trigger since all libraries in the standalone build
# are private copies and the trigger activate-noawait trigger may not work
# on elderly distributions (e.g. squeeze)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

endif

## git-annex 10.20230407

=== Makefile ===
--- 
+++ 
@@ -146,7 +146,7 @@
 
 Build/InstallDesktopFile: Build/InstallDesktopFile.hs
 	$(GHC) --make $@ -Wall -fno-warn-tabs
-Build/Standalone: Build/Standalone.hs tmp/configure-stamp
+Build/Standalone: Build/Standalone.hs Build/LinuxMkLibs.hs Utility/LinuxMkLibs.hs tmp/configure-stamp
 	$(GHC) --make $@ -Wall -fno-warn-tabs
 Build/BuildVersion: Build/BuildVersion.hs
 	$(GHC) --make $@ -Wall -fno-warn-tabs

=== debian/changelog ===
git-annex (10.20230407-2) unstable; urgency=medium

  * Further fixes for Ubuntu (Closes: #1038265):
    - Add riscv64 to list of archs for webapp build-deps
    - Disable LTO on ppc64el.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Jun 2023 09:14:21 +0100

git-annex (10.20230407-1) unstable; urgency=medium

  * New upstream release.
  * Weaken dependency on libghc-yesod-core-dev to require only 1.2.19.
  * Strip -Wl,-Bsymbolic-functions from LDFLAGS on Ubuntu (Closes: #1037532).
    Thanks to Sergio Durigan Junior for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Jun 2023 11:49:40 +0100

## git-annex 10.20230626

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	if [ "$(BUILDER)" = ./Setup ]; then $(GHC) --make Setup; fi
 	if [ "$(BUILDER)" != stack ]; then \
 		$(BUILDER) configure $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
+		rm cabal.project.local~* 2>/dev/null || true; \
 	else \
 		$(BUILDER) setup $(BUILDERCOMMONOPTIONS); \
 	fi
@@ -50,6 +51,7 @@
 dev:
 	$(BUILDER) configure -f"-Production" \
 		--enable-executable-dynamic --enable-profiling
+	rm cabal.project.local~* 2>/dev/null || true
 	mkdir -p tmp
 	touch tmp/configure-stamp
 	$(MAKE) git-annex tags
@@ -231,6 +233,7 @@
 distributionupdate:
 	git pull
 	cabal configure
+	rm cabal.project.local~* 2>/dev/null || true
 	ghc -Wall -fno-warn-tabs --make Build/DistributionUpdate -XLambdaCase -XPackageImports
 	./Build/DistributionUpdate

=== debian/changelog ===
git-annex (10.20230626-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Jul 2023 20:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -34,16 +34,16 @@
 	libghc-hinotify-dev (>= 0.3.10) [linux-any],
 	libghc-dbus-dev (>= 0.10.7) [linux-any],
 	libghc-fdo-notify-dev (>= 0.3) [linux-any],
-	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-yesod-core-dev (>= 1.6.0)    [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
-	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x m68k],
+	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
+	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
 	libghc-dav-dev (>= 1.0),
 	libghc-persistent-dev (>= 2.8.1),
 	libghc-persistent-template-dev,
@@ -94,8 +94,7 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,

## git-annex 10.20230802

=== debian/changelog ===
git-annex (10.20230802-1~bpo11+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Aug 2023 08:42:40 +0100

git-annex (10.20230802-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Aug 2023 07:58:59 +0100

## git-annex 10.20240129

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,6 @@
 # this to /usr/share/zsh/vendor-completions
 ZSH_COMPLETIONS_PATH?=$(PREFIX)/$(SHAREDIR)/zsh/site-functions
 
-# Am I typing :make in vim? Do a dev build.
-ifdef VIM
-all=dev
-endif
-
 build: $(all)
 
 # install system-wide
@@ -35,7 +30,7 @@
 tmp/configure-stamp: Build/TestConfig.hs Build/Configure.hs
 	if [ "$(BUILDER)" = ./Setup ]; then $(GHC) --make Setup; fi
 	if [ "$(BUILDER)" != stack ]; then \
-		$(BUILDER) configure $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
+		$(BUILDER) configure -fParallelBuild $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
 		rm cabal.project.local~* 2>/dev/null || true; \
 	else \
 		$(BUILDER) setup $(BUILDERCOMMONOPTIONS); \
@@ -43,13 +38,17 @@
 	mkdir -p tmp
 	touch tmp/configure-stamp
 
+# Build with stack if it was used to build before, otherwise cabal.
+dev:
+	@if [ -d .stack-work ]; then BUILDER=stack make; else make; fi
+
 # Non-optimised build for development, with profiling enabled (for memory
 # profiling).
 #
-# This leaves cabal.project.local configured for a dev build,
-# so just running make will continue to do dev builds.
-dev:
-	$(BUILDER) configure -f"-Production" \
+# This leaves cabal.project.local configured for a prof build,
+# so just running make will continue to do prof builds.
+prof:
+	$(BUILDER) configure -f"-Production" -fParallelBuild \
 		--enable-executable-dynamic --enable-profiling
 	rm cabal.project.local~* 2>/dev/null || true
 	mkdir -p tmp

=== debian/changelog ===
git-annex (10.20240129-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Apr 2024 03:09:34 +0000

git-annex (10.20240129-1) unstable; urgency=medium

  * New upstream release (Closes: #1064253).
  * Update build-dep libghc-cryptonite-dev -> libghc-crypton-dev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Feb 2024 14:39:55 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	libghc-split-dev,
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
-	libghc-cryptonite-dev,
+	libghc-crypton-dev,
 	libghc-memory-dev,
 	libghc-deepseq-dev,
 	libghc-attoparsec-dev,
@@ -82,7 +82,7 @@
 	libghc-vector-dev,
 	libghc-unliftio-core-dev,
 	libghc-filepath-bytestring-dev,
-	libghc-git-lfs-dev,
+	libghc-git-lfs-dev (>= 1.2.0),
 	libghc-criterion-dev,
 	lsof [linux-any],
 	ikiwiki,
@@ -94,7 +94,8 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 ifeq (yes, $(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 # See LP: #2019992
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el armhf))
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 endif
 endif

## git-annex 10.20240430

=== debian/changelog ===
git-annex (10.20240430-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Jun 2024 20:53:42 +0800

git-annex (10.20240430-1) unstable; urgency=medium

  * New upstream release.
  * Add libghc-unbounded-delays-dev build-dep.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 May 2024 10:59:06 +0100

git-annex (10.20240129-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert build-dep change in unstable upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Mar 2024 10:47:41 +0800

git-annex (10.20230802-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Aug 2023 08:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	libghc-split-dev,
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
-	libghc-crypton-dev,
+	libghc-cryptonite-dev,
 	libghc-memory-dev,
 	libghc-deepseq-dev,
 	libghc-attoparsec-dev,
@@ -80,6 +80,7 @@
 	libghc-magic-dev,
 	libghc-socks-dev,
 	libghc-vector-dev,
+	libghc-unbounded-delays-dev,
 	libghc-unliftio-core-dev,
 	libghc-filepath-bytestring-dev,
 	libghc-git-lfs-dev (>= 1.2.0),
@@ -94,8 +95,7 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,

## git-annex 10.20240927

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all=git-annex git-annex-shell mans docs
+all=git-annex git-annex-shell git-remote-annex mans docs
 
 # set to "./Setup" if you lack a cabal program. Or can be set to "stack"
 BUILDER?=cabal
@@ -61,7 +61,8 @@
 		ln -f $$(stack path $(BUILDERCOMMONOPTIONS) --dist-dir)/build/git-annex/git-annex git-annex; \
 	else \
 		if [ -d dist-newstyle ]; then \
-			ln -f $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
+			ln -f $$(cabal list-bin git-annex) git-annex || \
+				ln -f $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
 		else \
 			ln -f dist/build/git-annex/git-annex git-annex; \
 		fi; \
@@ -69,6 +70,9 @@
 
 git-annex-shell: git-annex
 	ln -sf git-annex git-annex-shell
+
+git-remote-annex: git-annex
+	ln -sf git-annex git-remote-annex
 
 # These are not built normally.
 git-union-merge.1: doc/git-union-merge.mdwn
@@ -90,6 +94,7 @@
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install git-annex $(DESTDIR)$(PREFIX)/bin
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
+	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-annex
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex
 
 install-desktop: build Build/InstallDesktopFile
@@ -141,7 +146,7 @@
 		doc/.ikiwiki html dist tags Build/SysConfig Build/Version \
 		Setup Build/InstallDesktopFile Build/Standalone \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
-		git-annex-shell git-union-merge .tasty-rerun-log
+		git-annex-shell git-remote-annex git-union-merge .tasty-rerun-log
 	find . -name \*.o -exec rm {} \;
 	find . -name \*.hi -exec rm {} \;

=== debian/changelog ===
git-annex (10.20240927-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Oct 2024 11:15:11 +0800

## git-annex 10.20241202

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 	./git-annex --fish-completion-script git-annex 2>/dev/null \
 		> $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/vendor_completions.d/git-annex.fish
 
-test: git-annex git-annex-shell
+test: git-annex git-annex-shell git-remote-annex
 	./git-annex test
 
 retest: git-annex

=== debian/changelog ===
git-annex (10.20241202-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Dec 2024 09:06:25 +0000

git-annex (10.20241202-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Dec 2024 11:34:27 +0800

git-annex (10.20241031-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 08 Nov 2024 10:45:27 +0800

=== debian/control ===
--- 
+++ 
@@ -85,6 +85,11 @@
 	libghc-filepath-bytestring-dev,
 	libghc-git-lfs-dev (>= 1.2.0),
 	libghc-criterion-dev,
+	libghc-clock-dev,
+	libghc-servant-dev,
+	libghc-servant-server-dev,
+	libghc-servant-client-dev,
+	libghc-servant-client-core-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,

## git-annex 10.20250115

=== debian/changelog ===
git-annex (10.20250115-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 09 Mar 2025 17:26:00 +0800

git-annex (10.20241202-2) unstable; urgency=medium

  * Team upload.

  [ Dandan Zhang <zhangdandan@loongson.cn> ]
  * Add build-depends for loong64 (Closes: #1060833).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Mar 2025 12:46:53 +0100
